Entities\User:
    type: entity
    table: users
    repositoryClass: Repositories\UserRepository
    uniqueConstraints:
        email_idx:
            columns: [ email ]
    id:
        id:
            type: integer
            nullable: false
            id: true
            generator:
                strategy: AUTO
    fields:
        session_id:
            type: string
            nullable: true
            length: 40
        first_name:
            type: string
            nullable: false
            length: 30
        last_name:
            type: string
            nullable: false
            length: 30
        email:
            type: string
            nullable: false
            length: 75
        salt:
            type: string
            nullable: false
            length: 128
        password:
            type: string
            nullable: false
            length: 128
        token_reset:
            type: string
            nullable: true
            length: 128
        token_reset_expire:
            type: datetime
            nullable: true
        active:
            type: boolean
            nullable: false
        admin:
            type: boolean
            nullable: false
        renew_password:
            type: boolean
            nullable: true
        last_login:
            type: datetime
            nullable: true
        created:
            type: datetime
            gedmo:
                timestampable:
                    on: create
        updated:
            type: datetime
            gedmo:
                timestampable:
                    on: update
    lifecycleCallbacks: { }